{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"62f0efc70a45540e8e4e4b1eeee9ee0566785351","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-16.0.4.tgz","fileCount":7,"integrity":"sha512-U+LwefPYZbZyZQcRryjB4rNKkrK7ylbYkKFU2NnaQKjIw466vqDWnxaLa62rCG++Iv8NAm8emnn1NZScKjPTIw==","signatures":[{"sig":"MEQCIBv+J0djc90vZbELd3UaOaTMjrxe94fjhCsyXEuqPVQuAiAOvZOb6/kycBXoi6AxCYgXazQ/lwJh23yVG+3ZZn7QAQ==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"},{"sig":"MEUCIQDE/4LmfsSnT8YyBmoJO7CrKH+k6dwgUF8ON3VVbgqA8AIgTsOUqkzzZApbo93PIX+sjeYHlC/0yZEfmGnYTKDRWsI=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":220097},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"engines":{"node":">=22.12.0 <23 || >=24.0.0"},"gitHead":"987694c88362d1d9d8263487b614aa11f4cb462e","license":"MIT","scripts":{"test":"node ./#/public/tests","benchmark":"node ./#/public/benchmarks"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"12.0.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"engineStrict":true,"_hasShrinkwrap":false,"readmeFilename":"readme.md","devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_16.0.4_1789408962115_0.10673597590206763","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@16.0.4","version":"16.0.4"}